summarylogtreecommitdiffstats
path: root/archdroid-icon-theme.install
diff options
context:
space:
mode:
authorGreenRaccoon232015-07-18 09:27:43 -0400
committerGreenRaccoon232015-07-18 09:27:43 -0400
commitdcbe4a34bbc8bf7145b0a165e0c779b747b6453d (patch)
treea54c7a6d291adea7d261067991b470189929229f /archdroid-icon-theme.install
parent22336e9c6214969755db3c2031b66b84b5b30fc2 (diff)
downloadaur-dcbe4a34bbc8bf7145b0a165e0c779b747b6453d.tar.gz
added a couple more icons
Diffstat (limited to 'archdroid-icon-theme.install')
-rwxr-xr-xarchdroid-icon-theme.install79
1 files changed, 42 insertions, 37 deletions
diff --git a/archdroid-icon-theme.install b/archdroid-icon-theme.install
index 0f030dd835a8..31e02bc53c60 100755
--- a/archdroid-icon-theme.install
+++ b/archdroid-icon-theme.install
@@ -1,71 +1,76 @@
+_color() {
+ tput bold && tput setaf "${1}";
+ if ! [ "${2}" ]; then
+ return;
+ fi;
+ printf "%s" "${2}";
+}
+
_green() {
- tput bold && tput setaf 2;
- printf "%s" "${1}";
+ _color "2" "${1}";
}
_blue() {
- tput bold && tput setaf 4;
- printf "%s" "${1}";
+ _color "4" "${1}";
}
_white() {
- tput bold && tput setaf 7;
- for line ; do
- echo "${line}" ;
- done ;
+ _color "7";
+ for line ; do
+ echo "${line}" ;
+ done ;
}
_msg() {
- _green "==> ";
- _white "$@";
- tput sgr 0;
+ _green "==> ";
+ _white "$@";
+ tput sgr 0;
}
_msg2() {
- _blue " -> ";
- _white "$@";
- tput sgr 0;
+ _blue " -> ";
+ _white "$@";
+ tput sgr 0;
}
_gtkUpdate() {
- _msg "Updating icon cache"...;
+ _msg "Updating icon cache"...;
- a="Archdroid";
- colors=( Amber ArchBlue Blue BlueGrey Brown Cyan DeepOrange DeepPurple Green Grey Indigo KellyGreen LightBlue LightGreen Lime Orange Pink Purple Red Shamrock Teal Yellow );
+ a="Archdroid";
+ Colors=(
+ Amber ArchBlue Blue BlueGrey
+ Brown Cyan DeepOrange DeepPurple
+ Green Grey Indigo KellyGreen
+ LightBlue LightGreen Lime Orange
+ Pink Purple Red Shamrock
+ Teal Yellow
+ );
- for c in "${colors[@]}"; do
- t="${a}-${c}";
- d="usr/share/icons/${t}";
+ for c in "${Colors[@]}"; do
+ t="${a}-${c}";
+ d="usr/share/icons/${t}";
- _msg2 "${t}";
- gtk-update-icon-cache -ftq "${d}";
- done ;
+ _msg2 "${t}";
+ gtk-update-icon-cache -ftq "${d}";
+ done;
}
_credits() {
- _msg "Credits to Google, Ubuntu Mono, Mint-X, and Numix for this theme"
+ _msg "Credits to Google, Ubuntu Mono, Mint-X, and Numix for this theme";
}
post_install() {
- _gtkUpdate;
-
- _credits;
-
- go=(
- "To enable icons for golang scripts, manually run this command:"
- 'sudo echo "text/x-go go" | sudo tee -a /etc/mime.types'
- );
- _msg "${go[@]}";
+ _gtkUpdate;
+ _credits;
}
post_upgrade() {
- _gtkUpdate;
-
- _credits;
+ _gtkUpdate;
+ _credits;
}
post_remove() {
- gtk-update-icon-cache;
+ gtk-update-icon-cache;
}
# vim: ts=2 sw=2 et: